
From: Francois Romieu <romieu@fr.zoreil.com>

synchronize_irq() requires an argument when built with CONFIG_SMP.



 drivers/net/sis190.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/sis190.c~sis190-fix drivers/net/sis190.c
--- 25/drivers/net/sis190.c~sis190-fix	2003-08-23 15:11:37.000000000 -0700
+++ 25-akpm/drivers/net/sis190.c	2003-08-23 15:11:37.000000000 -0700
@@ -1111,7 +1111,7 @@ SiS190_close(struct net_device *dev)
 
 	spin_unlock_irq(&tp->lock);
 
-	synchronize_irq();
+	synchronize_irq(dev->irq);
 	free_irq(dev->irq, dev);
 
 	SiS190_tx_clear(tp);

_
